Create an email allow policy
POST/accounts/{account_id}/email-security/settings/allow_policies
Creates a new email allow policy that permits specific senders, domains, or patterns to bypass security scanning.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
is_acceptable_sender: boolean
Messages from this sender will be exempted from Spam, Spoof and Bulk dispositions. Note: This will not exempt messages with Malicious or Suspicious dispositions.
Create an email allow policy
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/allow_policies \
-H 'Content-Type: application/json' \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
-d '{
"is_acceptable_sender": false,
"is_exempt_recipient": false,
"is_regex": false,
"is_trusted_sender": true,
"pattern": "test@example.com",
"pattern_type": "EMAIL",
"verify_sender": true
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": 2401,
"created_at": "2019-12-27T18:11:19.117Z",
"is_acceptable_sender": true,
"is_exempt_recipient": true,
"is_regex": true,
"is_trusted_sender": true,
"last_modified": "2019-12-27T18:11:19.117Z",
"pattern": "x",
"pattern_type": "EMAIL",
"verify_sender": true,
"comments": "comments",
"is_recipient": true,
"is_sender": true,
"is_spoof": true
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": 2401,
"created_at": "2019-12-27T18:11:19.117Z",
"is_acceptable_sender": true,
"is_exempt_recipient": true,
"is_regex": true,
"is_trusted_sender": true,
"last_modified": "2019-12-27T18:11:19.117Z",
"pattern": "x",
"pattern_type": "EMAIL",
"verify_sender": true,
"comments": "comments",
"is_recipient": true,
"is_sender": true,
"is_spoof": true
},
"success": true
}